Name:       owncloud-client
Summary:    The ownCloud Client
Version:    1.4.2
Release:    %mkrel 2
Group:      Archiving/Backup
License:    GPLv2+
URL:        http://owncloud.org/sync-clients/
Source0:    http://download.owncloud.com/download/mirall-%{version}.tar.bz2
#To Rediff 
#Patch0:     mirall-1.2.5-do-not-check-updates.patch
BuildRequires:  ocsync-devel >= 0.80.0
BuildRequires:  qt4-devel
BuildRequires:  qtwebkit-devel
BuildRequires:  cmake
BuildRequires:  qtkeychain-devel
Requires:       ocsync

%description
This is the client for ownCloud
ownCloud - Your Cloud, Your Data, Your Way!
The ownCloud client is based on Mirall.

%files 
%{_bindir}/owncloud
%{_sysconfdir}/ownCloud/sync-exclude.lst
%{_iconsdir}/hicolor/*/*/*.png
%{_datadir}/applications/owncloud.desktop
%{_datadir}/owncloud/i18n

#-----------------------------------------------------------------------------

%define libowncloudsync_major 1
%define libowncloudsync %mklibname owncloudsync %{libowncloudsync_major}

%package -n %{libowncloudsync}
Summary:    %{name} library
Group:      System/Libraries

%description -n %{libowncloudsync}
%{name} library.

%files -n %{libowncloudsync}
%{_libdir}/libowncloudsync.so.*

#-----------------------------------------------------------------------------

%prep
%setup -qn mirall-%{version}
%apply_patches

%build
%cmake_qt4 -DCSYNC_INCLUDE_PATH=%{_includedir}/ocsync
%make owncloud
%make doc

%install
%makeinstall_std -C build

rm -frv %{buildroot}%{_libdir}/libowncloudsync.so


%changelog
* Mon Nov 04 2013 zezinho <zezinho> 1.4.2-2.mga4
+ Revision: 549427
- fix files conflict against owncloud package

* Sun Oct 27 2013 neoclust <neoclust> 1.4.2-1.mga4
+ Revision: 547453
- New version

* Tue Oct 22 2013 umeabot <umeabot> 1.4.1-2.mga4
+ Revision: 544819
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 luigiwalser <luigiwalser> 1.4.1-1.mga4
+ Revision: 500304
- 1.4.1
- remove upstreamed mirall desktop file patch

* Sat Oct 12 2013 neoclust <neoclust> 1.4.0-1.mga4
+ Revision: 496029
- New upstream version 1.4.0

* Sun Aug 25 2013 neoclust <neoclust> 1.3.0-2.mga4
+ Revision: 471710
- New version

* Tue May 07 2013 neoclust <neoclust> 1.2.5-2.mga3
+ Revision: 412597
- Do not check for updates

  + zezinho <zezinho>
    - new bugfix version

* Tue Apr 23 2013 neoclust <neoclust> 1.2.4-1.mga3
+ Revision: 411013
- New version
- New version

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 362281
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 neoclust <neoclust> 1.1.1-2.mga3
+ Revision: 323532
- Add ocsync as requires ( mga #7904)

* Mon Oct 29 2012 dams <dams> 1.1.1-1.mga3
+ Revision: 311518
- add a patch to fix 'find csync'
- new version 1.1.1
- fix %%group
- update buildrequires

* Sun Aug 12 2012 neoclust <neoclust> 1.0.4-1.mga3
+ Revision: 280808
- New version 1.0.4

* Wed Jul 25 2012 neoclust <neoclust> 1.0.3-1.mga3
+ Revision: 274349
- imported package owncloud-client

